package com.seleniumexpress.coupon_app;

import javax.jms.JMSConsumer;
import javax.jms.JMSContext;
import javax.jms.JMSException;
import javax.jms.MapMessage;
import javax.jms.Queue;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory;

/**
 * 
 * @author abhilashpanigrahi
 * 
 *  JMSContext
 *  
 *  Connection -> session -> queue
 *
 */
public class SudentInfoTracker {
	
	public static void main(String[] args) throws NamingException, JMSException {
		
		InitialContext context = new InitialContext();
		Queue queue = (Queue)context.lookup("RequestQueue");
		Queue responseQueue = (Queue)context.lookup("ResponseQueue");
		
		System.out.println("loading from jndi " + queue);
		
		try(ActiveMQConnectionFactory conFactory = new ActiveMQConnectionFactory();
		    JMSContext jmsContext = conFactory.createContext();
		   ){
			
			Student student = new Student();
			student.setId(1);
			student.setName("Santosh");
			student.setCourseName("Spring + Hibernate bootcamp");
			student.setPrice(15000);
			student.setCouponCode("Trainer200");
			
			jmsContext.createProducer().send(queue, student);
			
			System.out.println("sending message to the queue ");
			
			System.out.println("waiting for the coupon to be validated..");
			
			JMSConsumer jmsconsumer = jmsContext.createConsumer(responseQueue);
			MapMessage mapMessage = (MapMessage)jmsconsumer.receive(1000);
			
			boolean result = mapMessage.getBoolean("isValid");
			System.out.println("You coupon code can/can't be applied : " + result);
			
		}
		
		
		
		
		
		
		
		
	}

}
















