package com.seleniumexpress.rabbitmq.jms_rabbit;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.TimeoutException;

import com.rabbitmq.client.AMQP;
import com.rabbitmq.client.Channel;
import com.rabbitmq.client.Connection;
import com.rabbitmq.client.ConnectionFactory;

public class ProducerApp {
	
	public static void main(String[] args) throws IOException, TimeoutException {
		
		ConnectionFactory conFactory = new ConnectionFactory();
		
		try(Connection connection = conFactory.newConnection();){
			
			Channel channel = connection.createChannel();
			
			String mesg = "Hello Goodmorning..";
			
			Map<String, Object> header = new HashMap<>();
			header.put("username", "abhilash");
			
			channel.basicPublish("",
					"test",
					new AMQP.BasicProperties.Builder()
					.contentType("UTF-8")
					.expiration("10000")
					.headers(header)
					.build() , 
					mesg.getBytes());
			
			System.out.println("Message published to the queue");
			
			System.out.println("---end---");
		}
		
		
		
	}

}
