package com.seleniumexpress.jms.queue;

import java.util.Enumeration;

import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.Destination;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageConsumer;
import javax.jms.Queue;
import javax.jms.QueueBrowser;
import javax.jms.Session;
import javax.jms.TextMessage;

import org.apache.activemq.ActiveMQConnectionFactory;

public class ConsumerApp {
	
	public static void main(String[] args) {
		
		ConnectionFactory conFactory = new ActiveMQConnectionFactory("tcp://localhost:61616");
		Connection con = null;
		try {
			
			
			//create a connection
			
			con = conFactory.createConnection();
			con.start();
			
			System.out.println("Connection sucessful " + con);
			
			
			Session session = con.createSession(false, Session.AUTO_ACKNOWLEDGE);
			
			Destination queue = session.createQueue("test");
			
			MessageConsumer messageConsumer = session.createConsumer(queue);
			
			//
			QueueBrowser browser = session.createBrowser((Queue)queue);
			
			Enumeration enumeration = browser.getEnumeration();
			
			while(enumeration.hasMoreElements()) {
				
				TextMessage message = (TextMessage)enumeration.nextElement();
				System.out.println(message);
			}
			
			
			Message message = messageConsumer.receive(); //get us the message
			
		    TextMessage textMessage = (TextMessage)message;
			
			System.out.println("Message received from the queue " + textMessage.getText());
			
			
            Message message1 = messageConsumer.receive(); //get us the message
			
		    TextMessage textMessage1 = (TextMessage)message1;
			
			System.out.println("Message received from the queue " + textMessage1.getText());
			
			
			System.out.println("********");
			
			
			
		} catch (Exception e) {
			// TODO: handle exception
			e.printStackTrace();
		}
		finally {
			if(con != null) {
				try {
					
					con.close();
					
				} catch (JMSException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			}
		}
	}

}
