package com.seleniumexpress.jms.queue;

import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.Destination;
import javax.jms.JMSException;
import javax.jms.MessageProducer;
import javax.jms.Session;
import javax.jms.TextMessage;

import org.apache.activemq.ActiveMQConnectionFactory;

/**
 * 
 * @author abhilashpanigrahi
 * 
 * hello Jms -> test
 *
 */
public class ProducerApp {
	
	public static void main(String[] args) {
		
		ConnectionFactory conFactory = new ActiveMQConnectionFactory("tcp://localhost:61616");
		Connection connection = null;
		Session session = null;
		
		
	    try {
	    	 connection = conFactory.createConnection();
			
	    	 System.out.println("Connection successful : " + connection);
			
			//create a session 
			
			 session = connection.createSession(false, Session.AUTO_ACKNOWLEDGE);
			
			Destination queue = session.createQueue("test");
			
			MessageProducer messageProducer = session.createProducer(queue);
			
			//create a message
			TextMessage textMessage = session.createTextMessage("Hello JMS - Rock");
			
			messageProducer.send(textMessage);
			
			System.out.println("message has been sent to the queue");
			
			
			
		} catch (JMSException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	    finally {
	    	
	    	if(connection != null && session !=null) {
	    		try {
					connection.close();
					session.close();
				} catch (JMSException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
	    		
	    	}
	    	
			
		}
	}

}
















