package com.seleniumexpress.practice;

import javax.jms.JMSConsumer;
import javax.jms.JMSContext;
import javax.jms.JMSException;
import javax.jms.JMSProducer;
import javax.jms.Message;
import javax.jms.Queue;
import javax.jms.TemporaryQueue;
import javax.jms.TextMessage;

import org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory;

//Replay to

/*
 * 
 * app 1 - JMS Rock
 * Yes, boss . jms really rocks
 * 
 * app 2 - 
 * - JMS Rock (listen)
 * 
 * - Yes, boss . jms really rocks
 * 
 * 
 * 
 * 
 * 
 * 
 */


public class ProducerAppTestReplayto {
	
	public static void main(String[] args) throws JMSException, InterruptedException {
		
		try(
		    ActiveMQConnectionFactory conFactory = new ActiveMQConnectionFactory();
			JMSContext context = conFactory.createContext();
		  )
		
		{
		   Queue queue = context.createQueue("demo"); //push
		   
		   //creted a temp queue
		   TemporaryQueue temporaryQueue = context.createTemporaryQueue();
			
		   TextMessage textMessage = context.createTextMessage("JMS Rock"); //creating
		   textMessage.setJMSReplyTo(temporaryQueue);
		   
		   JMSProducer producer = context.createProducer();
		   
		   
		   producer.send(queue, textMessage);//sending messge
		   
		   
		   //hear back from the consumer
		   
		   Thread.sleep(50000);
		   
		  	
		   JMSConsumer jmsConsumer = context.createConsumer(temporaryQueue);
		   Message message = jmsConsumer.receive();
		   System.out.println(((TextMessage)message).getText());
		   
		   
		   
			
		};
	}

}
