package com.seleniumexpress.coupon_app;

import javax.jms.JMSConsumer;
import javax.jms.JMSContext;
import javax.jms.JMSException;
import javax.jms.JMSProducer;
import javax.jms.Message;
import javax.jms.Session;
import javax.jms.TextMessage;
import javax.jms.Topic;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory;

public class ArtemisTopicConsumerExample {

	public static void main(String[] args) throws NamingException, JMSException {

		InitialContext context = new InitialContext();
		Topic news = (Topic) context.lookup("mytopic");

		try (ActiveMQConnectionFactory conFactory = new ActiveMQConnectionFactory();
				JMSContext jmsContext = conFactory.createContext(Session.CLIENT_ACKNOWLEDGE);) {

			jmsContext.setClientID("abhilash-pc1");
			JMSConsumer consumer = jmsContext.createDurableConsumer(news, "abhilash-pc-consumer");
			
			Message message = consumer.receive();
			message.acknowledge();
			System.out.println("message from the topic is"+((TextMessage)message).getText());
		}
		;

	}

}
