package com.seleniumexpress.config;

import org.apache.activemq.ActiveMQConnectionFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.jms.annotation.EnableJms;
import org.springframework.jms.config.DefaultJmsListenerContainerFactory;
import org.springframework.jms.core.JmsTemplate;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;

@EnableJms
@Configuration
@EnableWebMvc
@ComponentScan("com")
public class JMSAppConfig {
	
	@Bean
	public ActiveMQConnectionFactory activeMqCoonectionFactory() {
		
		ActiveMQConnectionFactory conFactory = new ActiveMQConnectionFactory();
		conFactory.setBrokerURL("tcp://localhost:61616");
		//conFactory.setUserName(null);
	    //conFactory.setPassword(null);
		
		return conFactory;
		
	}

	
	@Bean
	public JmsTemplate jmsTemplate() {
		
		JmsTemplate jmsTemplate = new JmsTemplate();
		jmsTemplate.setConnectionFactory(activeMqCoonectionFactory());
		
		
		return jmsTemplate;
	}
	
	@Bean
	public DefaultJmsListenerContainerFactory jmsListenerContainerFactory() {
		
		
		DefaultJmsListenerContainerFactory containerFactory = new DefaultJmsListenerContainerFactory();
		containerFactory.setConnectionFactory(activeMqCoonectionFactory());
		
		return containerFactory;
	}
	
	
	
	
	
	
}




















