package com.seleniumexpress.controllers;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.seleniumexpress.jmspublisher.MyAppJMSPublisher;
import com.seleniumexpress.model.BankInfo;

@RestController
public class BankStatementInfoController {

	@Autowired
	private MyAppJMSPublisher  myAppJmsPublisher;
	
	//http://localhost:8080/spring-jms-producer/takeInfo?email=abhilash@gmail.com&todate=2022-04-01&fromdate=2022-03-01
	@GetMapping("/takeInfo")
	public String takeInfo(@RequestParam("email") String email,
			               @RequestParam("todate") java.sql.Date toDate,
			               @RequestParam("fromDate") java.sql.Date fromDate			               
			              ) throws JsonProcessingException {
		
		
		System.out.println("email : " + email + "To date : " +toDate + "from date : " + fromDate);
		
		BankInfo bankInfo = new BankInfo();
		bankInfo.setEmail(email);
		bankInfo.setFromDate(fromDate);
		bankInfo.setToDate(toDate);
		
		ObjectMapper objectMapper = new ObjectMapper();
		
		//place this json string inside the queue
		String jsonString = objectMapper.writeValueAsString(bankInfo);
		
		
		myAppJmsPublisher.sendMessage("test",jsonString);
		
		
		return "working..";
	}
}






