package com.example.demo;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.example.demo.model.Student;
import com.example.demo.producer.StudentAppProducer;

@SpringBootApplication
public class SpringRabbitJsonStarterProducerApplication implements CommandLineRunner{
	
	@Autowired
	StudentAppProducer studentAppProducer;

	public static void main(String[] args) {
		SpringApplication.run(SpringRabbitJsonStarterProducerApplication.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		
		//Abhilash -> science-student
		Student student = new Student();
		student.setId(101);
		student.setName("Abhilash");
		student.setStudentType("sci"); //sci , arts
		
		studentAppProducer.publishStudentDataToQueue(student);
		
		
		//sachin -> arts-student
		Student student1 = new Student();
		student1.setId(102);
		student1.setName("Sachin");
		student1.setStudentType("arts"); //arts , sci
		
		studentAppProducer.publishStudentDataToQueue(student1);
		
	}

}
