package com.example.demo.producer;

import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.example.demo.model.Student;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;

@Service
public class StudentAppProducer {

	@Autowired
	private RabbitTemplate rabbitTemplate;
	
	@Autowired
	private ObjectMapper objectMapper;
	
	public void publishStudentDataToQueue(Student student) throws JsonProcessingException {
		
		String valueAsString = objectMapper.writeValueAsString(student);
		
		rabbitTemplate.convertAndSend("college", student.getStudentType(), valueAsString);
		
		System.out.println("message sent to the queue..");
		
	}
}
