package com.example.demo.consumer;

import org.springframework.amqp.AmqpRejectAndDontRequeueException;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.example.demo.model.Student;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.fasterxml.jackson.databind.ObjectMapper;

@Service
public class MyAppConsumer {
	
	@Autowired
	private ObjectMapper objectMapper;

	// science-student
	@RabbitListener(queues = "science-student")
	public void consume(String str) throws JsonMappingException, JsonProcessingException {
		
		//System.out.println(str);
		
		Student student = objectMapper.readValue(str, Student.class);
		
		if(student.getId() < 200) {
			
			throw new AmqpRejectAndDontRequeueException("invalid id");
		}
		
		
		
		System.out.println("student object converted from json.. "+student);
	}
	
	
}


